// $Header: /users/cvsleni/cvs/GA/galib/ga/gaevaldata.h,v 1.1.1.1 1999/06/02 12:41:44 adam Exp $
/* ----------------------------------------------------------------------------
  eval.h
  mbwall 3dec95
  Copyright (c) 1995 Massachusetts Institute of Technology
                     all rights reserved

 DESCRIPTION:
  This is the basic interface for the object that contains evaluation data.  It
can be used with genomes and/or populations in combination with their 
respective evaluation methods.

 MODIFICATIONS:
---------------------------------------------------------------------------- */
#ifndef _ga_eval_h_
#define _ga_eval_h_

class GAEvalData {
public:
  GAEvalData() {}
  GAEvalData(const GAEvalData&) {}
  virtual ~GAEvalData() {}
  GAEvalData& operator=(const GAEvalData& orig) 
    { if(&orig != this) copy(orig); return *this; }
  virtual GAEvalData* clone() const =0;
  virtual void copy(const GAEvalData&) =0;
};

#endif
