% *******************************************************
%	The IHRS project - The EP1 example process
%	Check if param is within or out of range.
% *******************************************************
%	31.01.2000 - last : 16.02.00 by OW|BR
%	CheckRange.m
% *******************************************************
%	function ResCheckRange = CheckRange ( param, lower, upper, include_limits );
%	include_limits = 0 :	param = ]lower,upper[
%	include_limits = 1 :	param = ]lower,upper]
%	include_limits = 2 :	param = [lower,upper[
%	include_limits = 3 :	param = [lower,upper]
%
%	global CheckRangeStr
%	global rangepri
% *******************************************************

function ResCheckRange = CheckRange ( param, lower, upper, include_limits );
global CheckRangeStr
global rangepri

if lower > upper, error (' ERROR ! Wrong range : lower bound > upper bound' ), end
ResCheckRange = 0;
if      include_limits == 0
%	CheckRangeStr = sprintf ( ' = %s and its validity range is ]%d,%d[', num2str(param), lower, upper );
	CheckRangeStr = sprintf ( ' and its validity range is ]%d,%d[', lower, upper );
	if param <= lower, ResCheckRange = -1; end
	if param >= upper, ResCheckRange =  1; end
elseif include_limits == 1
	CheckRangeStr = sprintf ( ' and its validity range is ]%d,%d]', lower, upper );
	if param <= lower, ResCheckRange = -1; end
	if param >  upper, ResCheckRange =  1; end
elseif include_limits == 2
	CheckRangeStr = sprintf ( ' and its validity range is [%d,%d[', lower, upper );
	if param <  lower, ResCheckRange = -1; end
	if param >= upper, ResCheckRange =  1; end
elseif include_limits == 3
	CheckRangeStr = sprintf ( ' and its validity range is [%d,%d]', lower, upper );
	if param <  lower, ResCheckRange = -1; end
	if param >  upper, ResCheckRange =  1; end
else
	error ( [ ' ERROR ! Wrong parameter : include_limits = ', num2str(include_limits) ] )
end
if rangepri == 1; ResCheckRange = 9999; end

% disp ( ' End of Program --- CheckRange !' );
% *******************************************************